{% extends "base.html.twig" %}
{% block topbar %}
    {{ parent() }}
    {% include 'topbar/choix_topbar2.html.twig' %}
{% endblock %}
{% block body %}
    <style>
        html, body {
            height: 100%;
        }
    </style>
    {% if context.sinistre.ref_asqua is not null and context.sinistre.date_derniere_synchro is not null and context.sinistre.date_derniere_vue_asqua < date("yesterday") %}
        <br>La Réf Asqua du sinistre n'a pas été trouvée dans la base Asqua depuis au moins 48H, il est possible que cette Réf ait changée, merci de vérifier et de contacter la DJ pour la mettre à jour.    
    {% else %}
        <iframe style="width: 100%; height: 100%; border: none" src="{{ url }}" id="iframe">
        </iframe>
        <script>
            $('#iframe').load(function (e) {
                var iframe = $("#iframe")[0];
                console.log(iframe);
                // get and check the Title (and H tags if you want)
                var ifTitle = iframe.contentDocument.title;
                alert(ifTitle);
                if (ifTitle.indexOf("404") >= 0) {
                    alert("404");
                }
            });
        </script>
    {% endif %}
{% endblock %}